/*
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Copyright (c) 2013 digitalSTROM.org, Zurich, Switzerland
 *  Author: Sibylle Kohler
 */

/**
 * Shoppmacher Url for service platform 
 */
var servicePlatformURL = '';
var dataBackupURL = '';
var registrationURL = '';
var TermsAndConditionsURL = '';
var lang = new Array();
lang["de"] = "lang=0";
lang["en"] = "lang=1";
lang["fr"] = "lang=2";
lang["nl"] = "lang=3";
lang["tr"] = "lang=4";

var defaultValidity = '2';          //default validity of temporary pagekite link

var minReqVersion = '1.8.1';        //minimal required dSS version
/**
 * Layout definitions
 */
var buttonWidth = 255;
var textFieldWitdh = 500;
var TextContainerWidth = 550;
var textField2Witdh = 490;
var textContainer2Width = 500;
var connectionPanelWidth = 800;
var dialogTextWidth = 400;
var progressBarWidth = 300;
var labelWidth = 210;
var dialogLabelWidth = 100;

/**
 * Read the base-url from property tree and build all required url strings
 */
function initURLs() {
    var queryLang;
    var sLang = dss.staticDataModel.activeLanguage.split('_');
    var baseServicePlatformURL = getPropertyString('/config/webservice-api/service-url');
    if ((baseServicePlatformURL === '') || (baseServicePlatformURL === null)) {
        baseServicePlatformURL = 'http://www.digitalstrom.com';
    }
    if (lang[sLang[0]] === undefined) {
        queryLang = "&" + lang["en"];
    } else {
        queryLang = "&" + lang[sLang[0]];
    }
    
    servicePlatformURL = baseServicePlatformURL + '/index.php?cl=sm_myapplications' + queryLang;
    dataBackupURL = baseServicePlatformURL +'/index.php?cl=sm_backup' + queryLang;
    registrationURL = baseServicePlatformURL + '/index.php?cl=register' + queryLang;
    TermsAndConditionsURL = 'locale/' + dss.staticDataModel.activeLanguage + '/TermsAndCondition.html';
}

